sailpoint.object

## Class Attributes<K,V>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - sailpoint.object.Attributes<K,V>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<K,V>

    public class Attributes<K,V>
    extends java.util.HashMap<K,V>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`java.util.Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`Attributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.String>` `getKeys()`
`java.util.List` `getList(java.lang.String attributeName)`
`java.util.Map<K,V>` `getMap()`
`java.lang.String` `getString(java.lang.String attributeName)`
`java.util.List<java.lang.String>` `getStringList(java.lang.String name)`

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### Attributes

    public Attributes()

### Method Detail

#### getMap

    public java.util.Map<K,V> getMap()

#### getList

    public java.util.List getList(java.lang.String attributeName)

#### getStringList

    public java.util.List<java.lang.String> getStringList(java.lang.String name)

#### getString

    public java.lang.String getString(java.lang.String attributeName)

#### getKeys

    public java.util.List<java.lang.String> getKeys()